Linux kernel e1000 driver buffer overflow

linux-e1000-bo (16159) The risk level is classified as MediumMedium Risk

Description:

Linux kernel could allow a local attacker to obtain sensitive information. Memory is not properly initialized before it is used. A local attacker could exploit this vulnerability to read kernel memory.


Consequences:

Obtain Information

Remedy:

Upgrade to the latest version of Linux Kernel (2.4.27-pre1 or later), available from the Linux Kernel Web site. See References.

For EnGarde Secure Linux Community Edition and Professional Edition:
Apply the update for this vulnerability, as listed in Guardian Digital Security Advisory ESA-20040621-005. See References.

For Conectiva Linux:
Upgrade to the latest kernel package, as listed below. Refer to Conectiva Linux Security Announcement CLSA-2004:845 for more information. See References.

Conectiva Linux 8: 2.4.19-1U80_22cl or later
Conectiva Linux 9: 2.4.21-31301U90_16cl or later

For Mandrake Linux:
Upgrade to the latest kernel package, as listed below. Refer to MandrakeSoft Security Advisory MDKSA-2004:062 : kernel for more information.See References.

Mandrake Linux 9.1: 2.4.21.0.31mdk-1-1mdk or later
Mandrake Linux 9.2: 2.4.22.35mdk-1-1mdk or later
Mandrake Linux Multi Network Firewall 8.2: 2.4.19.41mdk-1-1mdk or later
Mandrake Linux Corporate Server 2.1: 2.4.19.41mdk-1-1mdk or later
Mandrake Linux 10.0: 2.4.25.6mdk-1-1mdk or later

For Gentoo Linux:
Upgrade to the latest version of kernel, as listed in GLSA 200407-02. See References.

For SuSE Linux:
Upgrade to the latest kernel package, as listed below. Refer to SuSE Security Announcement SUSE-SA:2004:020 for more information. See References.

SuSE Linux 9.1: 2.6.5-7.95 or later
SuSE Linux 9.0: 2.4.21-231 or later
SuSE Linux 8.2: 2.4.20-115 or later
SuSE Linux 8.1: 2.4.21-231 or later
SuSE Linux 8.0: 2.4.18-303 or later

For EnGarde Secure Linux Community Edition and Professional Edition:
Apply the update for this vulnerability, as listed in Guardian Digital Security Advisory ESA-20040621-005. See References.

For Red Hat Linux:
Upgrade to the latest kernel package, as listed below. Refer to RHSA-2004:413-07, RHSA-2004:327-09 and RHSA-2004:418-05 for more information. See References.

Red Hat Enterprise Linux ES (v. 2.1), and WS (v. 2.1): 2.4.9-e.48 or later
Red Hat Enterprise Linux AS (v. 3), ES (v. 3), and WS (v. 3): 2.4.21-15.0.4.EL.x86_64 or later
Red Hat Enterprise Linux AS (v. 2.1), and Red Hat Linux Advanced Workstation 2.1 for the Itanium Processor: 2.4.18-e.47 or later

For Trustix Secure Linux:
Upgrade to the latest kernel package, as listed below. Refer to Trustix Secure Linux Security Advisory #2004-0041 for more information. See References.

Trustix Secure Linux 2.0: 2.4.27-1tr or later
Trustix Secure Linux 2.1 and Enterprise Linux 2: 2.4.27-1tr or later
Trustix Operating System - Enterprise Server 2: 2.4.27-1tr or later

For SGI IRIX:
Upgrade to the latest version of Kernel, as listed in SGI Security Advisory 20040804-01-U. See References.

For other distributions:
Contact your vendor for upgrade or patch information.

References:

Platforms Affected:

  • Conectiva Linux 8.0
  • Conectiva Linux 9.0
  • EngardeLinux Secure Community 2.0
  • EngardeLinux Secure Linux
  • EngardeLinux Secure Professional 1.5
  • EngardeLinux Secure Professional
  • Gentoo Linux
  • Linux Kernel 2.4.0 test1
  • Linux Kernel 2.4.0 test9
  • Linux Kernel 2.4.0 test8
  • Linux Kernel 2.4.0 test7
  • Linux Kernel 2.4.0 test6
  • Linux Kernel 2.4.0 test5
  • Linux Kernel 2.4.0
  • Linux Kernel 2.4.0 test10
  • Linux Kernel 2.4.0 test11
  • Linux Kernel 2.4.0 test12
  • Linux Kernel 2.4.0 test2
  • Linux Kernel 2.4.0 test3
  • Linux Kernel 2.4.0 test4
  • Linux Kernel 2.4.1
  • Linux Kernel 2.4.10
  • Linux Kernel 2.4.11
  • Linux Kernel 2.4.12
  • Linux Kernel 2.4.13
  • Linux Kernel 2.4.14
  • Linux Kernel 2.4.15
  • Linux Kernel 2.4.16
  • Linux Kernel 2.4.17
  • Linux Kernel 2.4.18
  • Linux Kernel 2.4.18 x86
  • Linux Kernel 2.4.18 pre7
  • Linux Kernel 2.4.18 pre6
  • Linux Kernel 2.4.18 pre8
  • Linux Kernel 2.4.18 pre2
  • Linux Kernel 2.4.18 pre3
  • Linux Kernel 2.4.18 pre4
  • Linux Kernel 2.4.18 pre5
  • Linux Kernel 2.4.18 pre1
  • Linux Kernel 2.4.19 pre5
  • Linux Kernel 2.4.19 pre6
  • Linux Kernel 2.4.19
  • Linux Kernel 2.4.19 pre1
  • Linux Kernel 2.4.19 pre2
  • Linux Kernel 2.4.19 pre3
  • Linux Kernel 2.4.19 pre4
  • Linux Kernel 2.4.2
  • Linux Kernel 2.4.20
  • Linux Kernel 2.4.21
  • Linux Kernel 2.4.21 pre1
  • Linux Kernel 2.4.21 pre4
  • Linux Kernel 2.4.21 pre7
  • Linux Kernel 2.4.22
  • Linux Kernel 2.4.23 ow2
  • Linux Kernel 2.4.23
  • Linux Kernel 2.4.23 pre9
  • Linux Kernel 2.4.24 ow1
  • Linux Kernel 2.4.24
  • Linux Kernel 2.4.25
  • Linux Kernel 2.4.26
  • Linux Kernel 2.4.27 pre1
  • Linux Kernel 2.4.3
  • Linux Kernel 2.4.4
  • Linux Kernel 2.4.5
  • Linux Kernel 2.4.6
  • Linux Kernel 2.4.7
  • Linux Kernel 2.4.8
  • Linux Kernel 2.4.9
  • MandrakeSoft Mandrake Linux 10.0 AMD64
  • MandrakeSoft Mandrake Linux 10.0
  • MandrakeSoft Mandrake Linux 9.1 PPC
  • MandrakeSoft Mandrake Linux 9.1
  • MandrakeSoft Mandrake Linux 9.2
  • MandrakeSoft Mandrake Linux 9.2 AMD64
  • MandrakeSoft Mandrake Linux Corporate Server 2.1
  • MandrakeSoft Mandrake Linux Corporate Server 2.1 X86_64
  • MandrakeSoft Mandrake Multi Network Firewall 8.2
  • Novell SuSE Linux Enterprise Server 7.0
  • RedHat Enterprise Linux 2.1 AW
  • RedHat Enterprise Linux 2.1 ES
  • RedHat Enterprise Linux 2.1 AS
  • RedHat Enterprise Linux 2.1 WS
  • RedHat Enterprise Linux 3 WS
  • RedHat Enterprise Linux 3 ES
  • RedHat Enterprise Linux 3 AS
  • RedHat Linux Advanced Workstation 2.1 Itanium
  • SuSE SuSE eMail Server III
  • SUSE SuSE Linux 8.0
  • SUSE SuSE Linux 8.1
  • SUSE SuSE Linux 8.2
  • SUSE SuSE Linux 9.0
  • SUSE SuSE Linux 9.1
  • SuSE SuSE Linux Connectivity Server
  • SuSE SuSE Linux Database Server
  • SuSE SuSE Linux Office Server
  • Trustix Secure Enterprise Linux 2.0
  • Trustix Secure Linux 2.0
  • Trustix Secure Linux 2.1

Reported:

May 14, 2004

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page